Bug 352605 - plasmashell 5.4.0 freezes graphics output on Nouveau
Summary: plasmashell 5.4.0 freezes graphics output on Nouveau
Status: RESOLVED UPSTREAM
Alias: None
Product: plasmashell
Classification: Unclassified
Component: general (show other bugs)
Version: 5.4.0
Platform: Compiled Sources Linux
: NOR crash
Target Milestone: 1.0
Assignee: David Edmundson
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-12 08:33 UTC by Christian
Modified: 2017-09-04 13:46 UTC (History)
4 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Christian 2015-09-12 08:33:47 UTC
I upgraded to plasma 5. When I leave the system running for a while, the graphics freeze and the system "becomes unresponsive" because I cannot get the graphics back up. It just shows the same screen and reacts to nothing.
I've been able to trace the problem to a message from the nouveau video driver in /var/log/messages, which indicates that the failed call originates from plasmashell. It is sometimes a "read" and sometimes a "write" call. Some example messages, see below.
I've also managed to capture the latest freeze using the apitrace tool on plasmashell. Now I have a huge trace file that appears to show all the graphics output like a little film, but I don't know what to do with it. Any advice?
Would this be a bug in plasmashell or should I file it against the nouveau driver?
Using libX11 version 1.6.2 and xf86-video-nouveau version 1.0.11.


Reproducible: Always

Steps to Reproduce:
1. Start Plasma 5
2. Wait about 5-7 hours.
3.

Actual Results:  
Graphics freezes, system unresponsive

Expected Results:  
No problems

From /var/log/messages:

Sep  6 16:31:09 localhost kernel: nouveau E[   PFIFO][0000:02:00.0] read fault at 0x0004042000 [PTE] from GR/GPC0/T1_1 on channel 0x0
03f7af000 [plasmashell[6790]]
Sep  6 16:31:09 localhost kernel: nouveau E[   PFIFO][0000:02:00.0] PGR engine fault on channel 10, recovering...
Sep  6 16:33:20 localhost kernel: nouveau E[   PFIFO][0000:02:00.0] read fault at 0x0000023000 [PTE] from PBDMA0/HOST_CPU on channel 
0x003fbe0000 [unknown]
[...]
Sep  7 23:30:25 localhost kernel: nouveau E[   PFIFO][0000:02:00.0] write fault at 0x0003d49000 [PTE] from GR/GPC0/PROP_0 on channel 
0x003f8ef000 [plasmashell[19341]]
Sep  7 23:30:25 localhost kernel: nouveau E[   PFIFO][0000:02:00.0] PGR engine fault on channel 8, recovering...
[...]
Sep  8 23:21:29 localhost kernel: nouveau E[   PFIFO][0000:02:00.0] write fault at 0x0003e02000 [PTE] from GR/GPC0/PROP_0 on channel 
0x003f8ef000 [plasmashell[4952]]
Sep  8 23:21:29 localhost kernel: nouveau E[   PFIFO][0000:02:00.0] PGR engine fault on channel 8, recovering...
[...]
Sep 10 02:00:03 localhost kernel: nouveau E[   PFIFO][0000:02:00.0] read fault at 0x0001740000 [PTE] from GR/GPC0/T1_0 on channel 0x0
03f8ef000 [plasmashell[4709]]
Sep 10 02:00:03 localhost kernel: nouveau E[   PFIFO][0000:02:00.0] PGR engine fault on channel 8, recovering...
[...]
Sep 11 03:07:57 localhost kernel: nouveau E[   PFIFO][0000:02:00.0] read fault at 0x0003508000 [PTE] from GR/GPC0/T1_0 on channel 0x0
03f84f000 [plasmashell[6720]]
Sep 11 03:07:57 localhost kernel: nouveau E[   PFIFO][0000:02:00.0] PGR engine fault on channel 9, recovering...
[...]
Sep 12 00:19:50 localhost kernel: nouveau E[   PFIFO][0000:02:00.0] write fault at 0x0003ef5000 [PTE] from GR/GPC0/PROP_0 on channel 
0x003facd000 [plasmashell[20804]]
Sep 12 00:19:50 localhost kernel: nouveau E[   PFIFO][0000:02:00.0] PGR engine fault on channel 5, recovering...
Comment 1 Christian 2015-09-22 17:57:14 UTC
Filed a bug against nouveau, too, in case it is their bug: https://bugs.freedesktop.org/show_bug.cgi?id=92077
Comment 2 David Edmundson 2017-09-04 13:46:00 UTC
Did this get resolved?